%define iconname %{name}.png

Summary:	Audio grabber tool for CD-ROM drives based on KDE 4
Name:		audex
Version:	0.74b1
Release:	%mkrel 6
License:	GPLv3
Group:		Sound/Editors and Converters
URL:		http://kde.maniatek.com/audex/
Source0:	http://opensource.maniatek.de/audex/files/%{name}-%{version}.tar.xz
Source1:	fr.po
Patch0:		audex-0.74-gcc.patch
# fixes cover lookup, grabbed from https://bugs.archlinux.org/task/25193
Patch1:		google_regex.patch
Requires:	kdebase4-runtime
BuildRequires:	kdelibs4-devel 
BuildRequires:	phonon-devel
BuildRequires:	libcdda-devel
BuildRequires:	automoc4
BuildRequires:	libkcddb-devel
BuildRequires:	libkcompactdisc-devel

%description
audex is a new audio grabber tool for CD-ROM drives based on KDE 4.

Audex creates profiles for LAME, OGG Vorbis (oggenc), FLAC, FAAC (MP4/M4A/AAC) and RIFF WAVE. Please install your favorite encoder.
Of course for WAVE no external encoder is needed!
Beyond you can define custom profile, which means, that audex works together with commmand line encoders in general.

Some features are:
* Extracting with CDDA Paranoia. So you have quite perfect audio quality.
* Extracting and encoding run parallel.
* Filename editing with local and remote CDDB/FreeDB database.
* Metadata correction tools like capitalize etc.
* Multi-profile extraction (with one commandline-encoder per profile).
* Fetch covers from the internet and store them in the database.
* Create playlists, cover and template-based-info files in target directory.
* Creates extraction and encoding protocols.
* Transfer files with KDE KIO-Slaves.

%files -f %{name}.lang
%{_kde_bindir}/%{name}
%{_kde_datadir}/applications/kde4/%{name}*.desktop
%{_kde_datadir}/apps/solid/actions/%{name}*.desktop
%{_kde_datadir}/apps/%{name}
%{_kde_iconsdir}/hicolor/*/*/*.png

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%{__cp} %{SOURCE1} po/

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-html


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.74b1-6.mga3
+ Revision: 346579
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 0.74b1-5.mga3
+ Revision: 307471
- update rpm group

* Sun Oct 14 2012 doktor5000 <doktor5000> 0.74b1-4.mga3
+ Revision: 305560
-fix cover lookup caused by API change with patch from Archlinux

* Tue Jul 03 2012 fwang <fwang> 0.74b1-3.mga3
+ Revision: 266904
- specify lang files

* Tue Jul 03 2012 fwang <fwang> 0.74b1-2.mga3
+ Revision: 266898
- fix build with latest gcc
- update br

* Mon Jan 31 2011 dmorgan <dmorgan> 0.74b1-1.mga1
+ Revision: 45305
- Fix install
- New version
- imported package audex

